Page MenuHomePhabricator

Make all of Content Translation a beta feature
Closed, ResolvedPublic

Description

Context

The product management team requested to make all the features of ContentTranslation disabled and hidden unless the user enables it in the preferences as a beta feature.

Narrative

As a Wikipedia user, I cannot see any ContentTranslation functions unless I enable it, so that everything stays the same.

Acceptance Criteria

  1. ContentTranslation features are not available in any way to users that have not logged in.
  2. ContentTranslation features are not available in any way to users that have logged in, but did not enable ContentTranslation as a beta feature. In particular:
    1. The red interlanguage link is not shown even if the user changed the UI language.
    2. Special:ContentTranslation is not shown at Special:SpecialPages.
    3. Going to Special:ContentTranslation shows the “No such special page” error.
    4. Going to Special:ContentTranslationStats shows the “No such special page” error.
  3. The ContentTranslation beta feature icon is updated to reflect that it pertains to the whole feature and not just the red interlanguage link.
  4. Pages that were created using ContentTranslation must show the appropriate revision tag in the page history, recent changes, etc. (as it was for HHVM).

Event Timeline

Arrbee created this task.Nov 28 2014, 5:28 AM
Arrbee assigned this task to Nikerabbit.
Arrbee raised the priority of this task from to Needs Triage.
Arrbee triaged this task as High priority.
Arrbee updated the task description. (Show Details)
Arrbee changed Security from none to None.
Arrbee moved this task from Backlog to Sprint Backlog on the Language-Team board.Nov 28 2014, 9:07 AM

I created icons for the beta feature:

Nikerabbit renamed this task from Make Special:ContentTranslation completely a beta feature to Make all of Content Translation a beta feature.Dec 2 2014, 9:31 AM

Change 176906 had a related patch set uploaded (by Nikerabbit):
Make all of Content Translation a beta feature

https://gerrit.wikimedia.org/r/176906

Patch-For-Review

Access criteria #1 is fulfilled implicitly by the fact that anonymous users can't enable beta features. Access criteria #4 is in different part of the code which was not touched.

Amire80 updated the task description. (Show Details)Dec 2 2014, 9:47 AM
Nikerabbit moved this task from Backlog to In Review on the LE-Sprint-79 board.Dec 2 2014, 6:45 PM

Updated screenshot

Change 176906 merged by jenkins-bot:
Make all of Content Translation a beta feature

https://gerrit.wikimedia.org/r/176906

Nikerabbit closed this task as Resolved.Dec 3 2014, 6:39 AM
Nikerabbit moved this task from In Review to Done on the LE-Sprint-79 board.